<article class="groupe">
  <header>
    <h1><?php echo $this->out["groupe"]["nom"]; ?></h1>
  </header>

  <?php if($this->out["groupe"]["description"]) : ?>
  <div class="description">
  <?php echo $this->out["groupe"]["description"] ?>
  </div>
  <?php endif; ?>
  <ul class="groupes_sources">
    <li><a href="<?php echo $this->url("sources/morceau", array("groupe" => $this->out["groupe"]["id"])); ?>">Morceaux</a></li>
    <li><a href="<?php echo $this->url("sources/piste", array("groupe" => $this->out["groupe"]["id"])); ?>">Sources</a></li>
  </ul>

<?php

  if
  ( $this->out_config("groupe_view_albums")
    && $this->out["albums"]["list"]
  ) :

?>
<h2 class="menu_albums">Albums</h2>
<ul class="menu_albums">
<?php foreach($this->out["albums"]["list"] as $id_album => $album) : ?>
  <li><a href="<?php echo $this->url("sources/album/view", array("album" => $id_album)) ?>" title="<?php echo str_replace("\"", "&quot;", $album["titre"]) ?>">

  <?php

    if
    (    $album["image_uri"]
      && file_exists($album["image_uri"])
      && ($img_size = $data->img_size($album["image_uri"], 90, 90)) !== false
    ) :
    $margin_top = floor((90 - $img_size["height"]) / 2);

  ?>
    <img src="<?php echo $this->path("web").$album["image_uri"]; ?>"
         width="<?php echo $img_size["width"] ?>"
         height="<?php echo $img_size["height"] ?>"
         style="margin-top:<?php echo $margin_top ?>px"
         alt="" />
  <?php endif; ?>
  <span><?php echo $album["titre"] ?></span>
  </a></li>
<?php endforeach; ?>
</ul>
<div class="clear"><!-- --></div>
<?php endif; ?>

<?php if($this->out["groupe"]["contact_form"]) : ?>
<h2>Contact</h2>
<p>
  <a href="<?php echo $this->url("forms/sourceml/contact_author", array("id" => $this->out["groupe"]["id"])) ?>">Envoyer un message à <?php echo $this->out["groupe"]["nom"]; ?></a>.
</p>
<?php endif; ?>
</article>